Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class ObjectMessageProxy

    java.lang.Object
      org.jboss.jms.message.MessageProxy
          org.jboss.jms.message.ObjectMessageProxy

All Implemented Interfaces:
  java.io.Serializable

public class ObjectMessageProxy
extends MessageProxy

Thin proxy for a JBossObjectMessage

Author:
  Tim Fox ObjectMessageProxy.java,v 1.1 2006/03/08 08:00:34 timfox Exp
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.message.MessageProxy
`bodyCopied, bodyReadOnly, delegate, deliveryCount, jmsRedelivered, message, messageCopied, propertiesCopied, propertiesReadOnly, state, STATE_NEW, STATE_RECEIVED, STATE_SENT`

Constructor Summary
`ObjectMessageProxy(JBossObjectMessage message, int deliveryCount)`

Method Summary
`java.io.Serializable` | `getObject()`
`void` | `setObject(java.io.Serializable object)`

Methods inherited from class org.jboss.jms.message.MessageProxy
`acknowledge, bodyChange, bodyClear, clearBody, clearProperties, copyMessage, getBooleanProperty, getByteProperty, getDeliveryCount, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getMessage, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, headerChange, isReceived, isSent, propertiesClear, propertyChange, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setReceived, setSent, setSessionDelegate, setShortProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectMessageProxy

    public ObjectMessageProxy(JBossObjectMessage message,
                              int deliveryCount)

Method Detail

### setObject

    public void setObject(java.io.Serializable object)
                   throws JMSException

  Throws:
    `JMSException`

### getObject

    public java.io.Serializable getObject()
                                   throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.